org.eclipse.emf.cdo.server.ocl

## Class CDOExtentMap

- java.lang.Object
- - org.eclipse.emf.cdo.server.ocl.CDOExtentMap

- All Implemented Interfaces:
    java.util.Map<EClass,java.util.Set<? extends EObject>>

      public class CDOExtentMap
      extends java.lang.Object
      implements java.util.Map<EClass,java.util.Set<? extends EObject>>

  Maps `classes` to their extents.

  The `extent` of a `class` X is the set of all `objects` with `object.getEClass() == X`.

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOExtentMap(OCLExtentCreator extentCreator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set<java.util.Map.Entry<EClass,java.util.Set<? extends EObject>>>` | `entrySet()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<? extends EObject>` | `get(java.lang.Object key)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `java.util.Set<EClass>` | `keySet()`
    `java.util.Set<? extends EObject>` | `put(EClass key, java.util.Set<? extends EObject> value)`
    `void` | `putAll(java.util.Map<? extends EClass,? extends java.util.Set<? extends EObject>> t)`
    `java.util.Set<? extends EObject>` | `remove(java.lang.Object key)`
    `int` | `size()`
    `java.lang.String` | `toString()`
    `java.util.Collection<java.util.Set<? extends EObject>>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### CDOExtentMap

          public CDOExtentMap(OCLExtentCreator extentCreator)

  - ### Method Detail

    - #### cancel

          public void cancel()

    - #### get

          public java.util.Set<? extends EObject> get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<EClass,java.util.Set<? extends EObject>>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Specified by:
        `equals` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### keySet

          public java.util.Set<EClass> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### put

          public java.util.Set<? extends EObject> put(EClass key,
                                                      java.util.Set<? extends EObject> value)

      Specified by:
        `put` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### putAll

          public void putAll(java.util.Map<? extends EClass,? extends java.util.Set<? extends EObject>> t)

      Specified by:
        `putAll` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### remove

          public java.util.Set<? extends EObject> remove(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### values

          public java.util.Collection<java.util.Set<? extends EObject>> values()

      Specified by:
        `values` in interface `java.util.Map<EClass,java.util.Set<? extends EObject>>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html